> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmatter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tags

> Returns all tags in your library.

## Query Parameters

<ParamField query="limit" type="integer" default={25}>
  Number of tags per page. Min 1, max 100.
</ParamField>

<ParamField query="cursor" type="string">
  Cursor for the next page of results.
</ParamField>

## Response

<ResponseField name="object" type="string" required>Always `"list"`.</ResponseField>

<ResponseField name="results" type="array" required>
  Array of tag objects.

  <Expandable title="tag properties">
    <ResponseField name="object" type="string">Always `"tag"`.</ResponseField>
    <ResponseField name="id" type="string">Tag ID.</ResponseField>
    <ResponseField name="name" type="string">Tag name.</ResponseField>
    <ResponseField name="item_count" type="integer">Number of items with this tag.</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 timestamp.</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="has_more" type="boolean" required>Whether there are more results.</ResponseField>
<ResponseField name="next_cursor" type="string">Cursor for the next page.</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.getmatter.com/public/v1/tags \
    -H "Authorization: Bearer mat_your_token_here"
  ```

  ```python Python theme={null}
  response = requests.get(
      "https://api.getmatter.com/public/v1/tags",
      headers={"Authorization": f"Bearer {token}"}
  )
  tags = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "results": [
      {
        "object": "tag",
        "id": "tag_n5j2x",
        "name": "essays",
        "item_count": 42,
        "created_at": "2025-01-15T10:00:00Z"
      },
      {
        "object": "tag",
        "id": "tag_k3m9p",
        "name": "tech",
        "item_count": 87,
        "created_at": "2025-02-20T14:30:00Z"
      }
    ],
    "has_more": false,
    "next_cursor": null
  }
  ```
</ResponseExample>
